Skip to main content
This is our standard task and it is the one most of our users choose. If you are not very comfortable with technical setups, this is the option we recommend.

Supported Sites

We can support any site, but we like to keep track of what people use. If yours is missing, send us a message on Telegram.

Create Task​

Create the task with the createTask endpoint, or use our Software Development Kit to make your integration process even easier!

Task Structure

PropertyTypeRequired
typeStringTrue
pjsStringTrue
cdOnlyStringTrue

Example Request

POST https://salamoonder.com/api/createTask
Host: salamoonder.com
Content-Type: application/json

{
    "api_key": "YOUR_API_KEY",
    "task": {
        "type": "KasadaCaptchaSolver",
        "pjs": "https://www.nike.com/.../.../p.js",
        "cdOnly": "false"
    }
}
Upon successfully submitting the task to us, you should receive a ‘taskId’ in the response.

Example Response

{
  "error_code": 0,
  "error_description": "",
  "taskId": "d4611a5f-9b4e-4f4a-94a2-8303d97562e1"
}
Response Fields:
  • taskId - Unique identifier for this task. Use this to retrieve results.

Getting Results

Retrieve the results using the getTaskResult method. or use our Software Development Kit to make your integration process even easier!

Example Request

POST https://salamoonder.com/api/getTaskResult
Host: salamoonder.com
Content-Type: application/json

{
  "api_key": "YOUR_API_KEY",
  "taskId": "d4611a5f-9b4e-4f4a-94a2-8303d97562e1"
}

Example Response

Make sure to not pass kpsdk-v to the protected endpoint for the best resulsts!
{
    "errorId": 0,
    "solution": {
        "x-kpsdk-cd": "{\"workTime\":1765212789082,\"id\"...",
        "x-kpsdk-ct": "02ZDV4Wf8UnQrrkylUAizpCB8ASqkRLkm6...",
        "x-kpsdk-st": "1765212777507",
        "x-kpsdk-r": "1-BwVtcmY",
        "x-kpsdk-cr": "true",
        "user-agent": "Mozilla/5.0 (Windows NT 10.0; Win6..."
    },
    "status": "ready"
}
Response Fields:
  • x-kpsdk-* - Ready-to-use Kasada header values for submission.
  • user-agent - User-Agent that was used to make this token

Quick Start Example

We have examples for all our tasks to streamline integration. Feel free to check them out!

Kasada Examples

All our Kasada Examples can be found here!